<?php

/**
 * A helper file for Dcat Admin, to provide autocomplete information to your IDE
 *
 * This file should not be included in your code, only analyzed by your IDE!
 *
 * @author jqh <841324345@qq.com>
 */
namespace Dcat\Admin {
    use Illuminate\Support\Collection;

    /**
     * @property Grid\Column|Collection id
     * @property Grid\Column|Collection name
     * @property Grid\Column|Collection type
     * @property Grid\Column|Collection version
     * @property Grid\Column|Collection detail
     * @property Grid\Column|Collection created_at
     * @property Grid\Column|Collection updated_at
     * @property Grid\Column|Collection is_enabled
     * @property Grid\Column|Collection parent_id
     * @property Grid\Column|Collection order
     * @property Grid\Column|Collection icon
     * @property Grid\Column|Collection uri
     * @property Grid\Column|Collection extension
     * @property Grid\Column|Collection permission_id
     * @property Grid\Column|Collection menu_id
     * @property Grid\Column|Collection slug
     * @property Grid\Column|Collection http_method
     * @property Grid\Column|Collection http_path
     * @property Grid\Column|Collection role_id
     * @property Grid\Column|Collection user_id
     * @property Grid\Column|Collection value
     * @property Grid\Column|Collection username
     * @property Grid\Column|Collection password
     * @property Grid\Column|Collection avatar
     * @property Grid\Column|Collection remember_token
     * @property Grid\Column|Collection language
     * @property Grid\Column|Collection path_id
     * @property Grid\Column|Collection content
     * @property Grid\Column|Collection cover
     * @property Grid\Column|Collection photo
     * @property Grid\Column|Collection poster
     * @property Grid\Column|Collection video
     * @property Grid\Column|Collection cert
     * @property Grid\Column|Collection detail_cn
     * @property Grid\Column|Collection pdf
     * @property Grid\Column|Collection deleted_at
     * @property Grid\Column|Collection path
     * @property Grid\Column|Collection path_md5
     * @property Grid\Column|Collection status
     * @property Grid\Column|Collection weigh
     * @property Grid\Column|Collection email
     * @property Grid\Column|Collection token
     * @property Grid\Column|Collection tokenable_type
     * @property Grid\Column|Collection tokenable_id
     * @property Grid\Column|Collection abilities
     * @property Grid\Column|Collection last_used_at
     * @property Grid\Column|Collection expires_at
     * @property Grid\Column|Collection folder_id
     * @property Grid\Column|Collection parameters
     * @property Grid\Column|Collection en_detail
     * @property Grid\Column|Collection cn_detail
     * @property Grid\Column|Collection enabled
     * @property Grid\Column|Collection title_en
     * @property Grid\Column|Collection folder_type
     * @property Grid\Column|Collection show_tabs
     * @property Grid\Column|Collection user_name
     * @property Grid\Column|Collection action
     * @property Grid\Column|Collection content_id
     * @property Grid\Column|Collection nick_name
     *
     * @method Grid\Column|Collection id(string $label = null)
     * @method Grid\Column|Collection name(string $label = null)
     * @method Grid\Column|Collection type(string $label = null)
     * @method Grid\Column|Collection version(string $label = null)
     * @method Grid\Column|Collection detail(string $label = null)
     * @method Grid\Column|Collection created_at(string $label = null)
     * @method Grid\Column|Collection updated_at(string $label = null)
     * @method Grid\Column|Collection is_enabled(string $label = null)
     * @method Grid\Column|Collection parent_id(string $label = null)
     * @method Grid\Column|Collection order(string $label = null)
     * @method Grid\Column|Collection icon(string $label = null)
     * @method Grid\Column|Collection uri(string $label = null)
     * @method Grid\Column|Collection extension(string $label = null)
     * @method Grid\Column|Collection permission_id(string $label = null)
     * @method Grid\Column|Collection menu_id(string $label = null)
     * @method Grid\Column|Collection slug(string $label = null)
     * @method Grid\Column|Collection http_method(string $label = null)
     * @method Grid\Column|Collection http_path(string $label = null)
     * @method Grid\Column|Collection role_id(string $label = null)
     * @method Grid\Column|Collection user_id(string $label = null)
     * @method Grid\Column|Collection value(string $label = null)
     * @method Grid\Column|Collection username(string $label = null)
     * @method Grid\Column|Collection password(string $label = null)
     * @method Grid\Column|Collection avatar(string $label = null)
     * @method Grid\Column|Collection remember_token(string $label = null)
     * @method Grid\Column|Collection language(string $label = null)
     * @method Grid\Column|Collection path_id(string $label = null)
     * @method Grid\Column|Collection content(string $label = null)
     * @method Grid\Column|Collection cover(string $label = null)
     * @method Grid\Column|Collection photo(string $label = null)
     * @method Grid\Column|Collection poster(string $label = null)
     * @method Grid\Column|Collection video(string $label = null)
     * @method Grid\Column|Collection cert(string $label = null)
     * @method Grid\Column|Collection detail_cn(string $label = null)
     * @method Grid\Column|Collection pdf(string $label = null)
     * @method Grid\Column|Collection deleted_at(string $label = null)
     * @method Grid\Column|Collection path(string $label = null)
     * @method Grid\Column|Collection path_md5(string $label = null)
     * @method Grid\Column|Collection status(string $label = null)
     * @method Grid\Column|Collection weigh(string $label = null)
     * @method Grid\Column|Collection email(string $label = null)
     * @method Grid\Column|Collection token(string $label = null)
     * @method Grid\Column|Collection tokenable_type(string $label = null)
     * @method Grid\Column|Collection tokenable_id(string $label = null)
     * @method Grid\Column|Collection abilities(string $label = null)
     * @method Grid\Column|Collection last_used_at(string $label = null)
     * @method Grid\Column|Collection expires_at(string $label = null)
     * @method Grid\Column|Collection folder_id(string $label = null)
     * @method Grid\Column|Collection parameters(string $label = null)
     * @method Grid\Column|Collection en_detail(string $label = null)
     * @method Grid\Column|Collection cn_detail(string $label = null)
     * @method Grid\Column|Collection enabled(string $label = null)
     * @method Grid\Column|Collection title_en(string $label = null)
     * @method Grid\Column|Collection folder_type(string $label = null)
     * @method Grid\Column|Collection show_tabs(string $label = null)
     * @method Grid\Column|Collection user_name(string $label = null)
     * @method Grid\Column|Collection action(string $label = null)
     * @method Grid\Column|Collection content_id(string $label = null)
     * @method Grid\Column|Collection nick_name(string $label = null)
     */
    class Grid {}

    class MiniGrid extends Grid {}

    /**
     * @property Show\Field|Collection id
     * @property Show\Field|Collection name
     * @property Show\Field|Collection type
     * @property Show\Field|Collection version
     * @property Show\Field|Collection detail
     * @property Show\Field|Collection created_at
     * @property Show\Field|Collection updated_at
     * @property Show\Field|Collection is_enabled
     * @property Show\Field|Collection parent_id
     * @property Show\Field|Collection order
     * @property Show\Field|Collection icon
     * @property Show\Field|Collection uri
     * @property Show\Field|Collection extension
     * @property Show\Field|Collection permission_id
     * @property Show\Field|Collection menu_id
     * @property Show\Field|Collection slug
     * @property Show\Field|Collection http_method
     * @property Show\Field|Collection http_path
     * @property Show\Field|Collection role_id
     * @property Show\Field|Collection user_id
     * @property Show\Field|Collection value
     * @property Show\Field|Collection username
     * @property Show\Field|Collection password
     * @property Show\Field|Collection avatar
     * @property Show\Field|Collection remember_token
     * @property Show\Field|Collection language
     * @property Show\Field|Collection path_id
     * @property Show\Field|Collection content
     * @property Show\Field|Collection cover
     * @property Show\Field|Collection photo
     * @property Show\Field|Collection poster
     * @property Show\Field|Collection video
     * @property Show\Field|Collection cert
     * @property Show\Field|Collection detail_cn
     * @property Show\Field|Collection pdf
     * @property Show\Field|Collection deleted_at
     * @property Show\Field|Collection path
     * @property Show\Field|Collection path_md5
     * @property Show\Field|Collection status
     * @property Show\Field|Collection weigh
     * @property Show\Field|Collection email
     * @property Show\Field|Collection token
     * @property Show\Field|Collection tokenable_type
     * @property Show\Field|Collection tokenable_id
     * @property Show\Field|Collection abilities
     * @property Show\Field|Collection last_used_at
     * @property Show\Field|Collection expires_at
     * @property Show\Field|Collection folder_id
     * @property Show\Field|Collection parameters
     * @property Show\Field|Collection en_detail
     * @property Show\Field|Collection cn_detail
     * @property Show\Field|Collection enabled
     * @property Show\Field|Collection title_en
     * @property Show\Field|Collection folder_type
     * @property Show\Field|Collection show_tabs
     * @property Show\Field|Collection user_name
     * @property Show\Field|Collection action
     * @property Show\Field|Collection content_id
     * @property Show\Field|Collection nick_name
     *
     * @method Show\Field|Collection id(string $label = null)
     * @method Show\Field|Collection name(string $label = null)
     * @method Show\Field|Collection type(string $label = null)
     * @method Show\Field|Collection version(string $label = null)
     * @method Show\Field|Collection detail(string $label = null)
     * @method Show\Field|Collection created_at(string $label = null)
     * @method Show\Field|Collection updated_at(string $label = null)
     * @method Show\Field|Collection is_enabled(string $label = null)
     * @method Show\Field|Collection parent_id(string $label = null)
     * @method Show\Field|Collection order(string $label = null)
     * @method Show\Field|Collection icon(string $label = null)
     * @method Show\Field|Collection uri(string $label = null)
     * @method Show\Field|Collection extension(string $label = null)
     * @method Show\Field|Collection permission_id(string $label = null)
     * @method Show\Field|Collection menu_id(string $label = null)
     * @method Show\Field|Collection slug(string $label = null)
     * @method Show\Field|Collection http_method(string $label = null)
     * @method Show\Field|Collection http_path(string $label = null)
     * @method Show\Field|Collection role_id(string $label = null)
     * @method Show\Field|Collection user_id(string $label = null)
     * @method Show\Field|Collection value(string $label = null)
     * @method Show\Field|Collection username(string $label = null)
     * @method Show\Field|Collection password(string $label = null)
     * @method Show\Field|Collection avatar(string $label = null)
     * @method Show\Field|Collection remember_token(string $label = null)
     * @method Show\Field|Collection language(string $label = null)
     * @method Show\Field|Collection path_id(string $label = null)
     * @method Show\Field|Collection content(string $label = null)
     * @method Show\Field|Collection cover(string $label = null)
     * @method Show\Field|Collection photo(string $label = null)
     * @method Show\Field|Collection poster(string $label = null)
     * @method Show\Field|Collection video(string $label = null)
     * @method Show\Field|Collection cert(string $label = null)
     * @method Show\Field|Collection detail_cn(string $label = null)
     * @method Show\Field|Collection pdf(string $label = null)
     * @method Show\Field|Collection deleted_at(string $label = null)
     * @method Show\Field|Collection path(string $label = null)
     * @method Show\Field|Collection path_md5(string $label = null)
     * @method Show\Field|Collection status(string $label = null)
     * @method Show\Field|Collection weigh(string $label = null)
     * @method Show\Field|Collection email(string $label = null)
     * @method Show\Field|Collection token(string $label = null)
     * @method Show\Field|Collection tokenable_type(string $label = null)
     * @method Show\Field|Collection tokenable_id(string $label = null)
     * @method Show\Field|Collection abilities(string $label = null)
     * @method Show\Field|Collection last_used_at(string $label = null)
     * @method Show\Field|Collection expires_at(string $label = null)
     * @method Show\Field|Collection folder_id(string $label = null)
     * @method Show\Field|Collection parameters(string $label = null)
     * @method Show\Field|Collection en_detail(string $label = null)
     * @method Show\Field|Collection cn_detail(string $label = null)
     * @method Show\Field|Collection enabled(string $label = null)
     * @method Show\Field|Collection title_en(string $label = null)
     * @method Show\Field|Collection folder_type(string $label = null)
     * @method Show\Field|Collection show_tabs(string $label = null)
     * @method Show\Field|Collection user_name(string $label = null)
     * @method Show\Field|Collection action(string $label = null)
     * @method Show\Field|Collection content_id(string $label = null)
     * @method Show\Field|Collection nick_name(string $label = null)
     */
    class Show {}

    /**
     * @method \App\Exceptions\Form\MultipleCutImage multipleCutImage(...$params)
     * @method \App\Exceptions\Form\CutImage cutImage(...$params)
     * @method \App\Exceptions\Form\TradFile tradFile(...$params)
     * @method \App\Exceptions\Form\TradImage tradImage(...$params)
     * @method \Dcat\Admin\Form\Extend\Distpicker\Form\Distpicker distpicker(...$params)
     * @method \Dcat\Admin\Form\Extend\Diyforms\Form\DiyForm diyForm(...$params)
     */
    class Form {}

}

namespace Dcat\Admin\Grid {
    /**
     * @method $this distpicker(...$params)
     */
    class Column {}

    /**
     * @method \Dcat\Admin\Form\Extend\Distpicker\Filter\DistpickerFilter distpicker(...$params)
     */
    class Filter {}
}

namespace Dcat\Admin\Show {
    /**
     * @method $this diyForm(...$params)
     */
    class Field {}
}
