<?php

use Illuminate\Support\Facades\Facade;

/*
 * 数据字典 dictionary
 */

return [
    //配置语言包
    'languages' => [
        'en' => 'English',
        'zh_CN' => 'Chinese',
        'zh_TW' => 'Taiwan'
    ],
    //默认语言
    'default_language' => 'en',



    //是否启用
    'enabled' => [
        '1' => 'Yes',
        '0' => 'No',
    ],


    //文件夹类型
    'folder_type' => [
        '0' => 'product',//产品
        '1' => 'other',//其他
    ],

    //临时变量
    'temp_value' => [
        'folderId' => 0, //用于用于相册文件夹的临时变量
    ],


    'album_status' => [
        '0' => '待更新', //用于用于相册文件夹的临时变量
        '1' => '正常',
    ],


    'album_tabs'=>[
        '0' => 'cover',
        '1' => 'en_detail',
        '2' => 'cn_detail',
        '3' => 'video',
        '4' => 'poster',
        '5' => 'cert',
        '6' => 'pdf',
        '7' => 'text_detail',
    ],
];
